// Test a bundled imageview in a JS-based module

// tried all of these.. 
// var img_url = 'user_default.png';
// var img_url = '/modules/com.testimg/user_default.png';
// var img_url = 'app://modules/com.testimg/user_default.png';

var img_url = 'modules/com.testimg/user_default.png';


exports.addImageTest = function(destination,position){

	// destination 	= the window or view to attach the image to
	// position  	=  dictionary object of left: and top: 
	
	var test_img = Ti.UI.createImageView({
		width:48,
		height:48,
		top:position.top,
		left:position.left,
		borderWidth:1,
		borderColor:'#eee',
		image:img_url,
		defaultImage:img_url
	});
	destination.add(test_img);	
	
	return test_img; // return a reference to be able to modify/access it in the app js code

};
